Subject: bug#38378: 26.3.50; [PATCH] Add the hierarchy library

From: Damien Cassou <[email-masked]>
Date: Mon, 09 Dec 2019 13:23:33 +0100

João Távora <[email-masked]> writes:
> ;; Library to create, query, navigate and display hierarchy structures.
>
> Did you omit "modify" specifically because it doesn't allow a created
> hierarchy to be mutated?

a Hierarchy is created with (hierarchy-new) and must then be mutated to
add elements to it. This is the same as with (make-hash-table).

-- 
Damien Cassou

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill